package com.caimei365.user.mapper;

import com.caimei365.user.model.vo.ProductItemVo;
import com.caimei365.user.model.vo.RemarksVo;
import com.caimei365.user.model.vo.ReportVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/8/11
 */
@Mapper
public interface ClubReportMapper {

void addClubReport(ReportVo reportVo);

List<ProductItemVo> productList(String keyWord);

List<ReportVo> reportList(Integer serviceProviderId,Integer clubId,String keyWord);

ReportVo reportDetailsList(Integer reportId);

ReportVo visitorReportsList(Integer reportId);

List<ReportVo>reportRemarks(Integer teamId,Integer serviceProviderId,String keyWord,Integer manager);

List<ReportVo>repotRemark(Integer teamId,Integer serviceProviderId,String keyWord,Integer manager);

List<ReportVo>visitorReportRemarks(Integer teamId,Integer serviceProviderId,String keyWord);

    List<ReportVo>visitoReportRemark(Integer teamId,Integer serviceProviderId,String keyWord);

Integer reportLeaderId(Integer serviceProviderId);

String roeprtNa(Integer serviceProviderId);

List<RemarksVo> associated(@Param("teamId")Integer teamId,@Param("serviceProviderId")Integer serviceProviderId,@Param("reportId")Integer reportId,@Param("keyWord")String keyWord, @Param("startAddTime") String startAddTime, @Param("endAddTime") String endAddTime, Integer leaderId, @Param("groupId") Integer groupId,@Param("followup") Integer followup,@Param("satisfied") Integer satisfied,@Param("pinceSensitve") Integer pinceSensitve,@Param("con")List<String> con,@Param("newDeal")Integer newDeal,@Param("status")Integer status);

List<RemarksVo> visitorAssociated(@Param("teamId")Integer teamId,@Param("serviceProviderId")Integer serviceProviderId,@Param("reportId")Integer reportId,@Param("keyWord")String keyWord, @Param("startAddTime") String startAddTime, @Param("endAddTime") String endAddTime, Integer leaderId, @Param("groupId") Integer groupId,@Param("followup") Integer followup,@Param("satisfied") Integer satisfied,@Param("pinceSensitve") Integer pinceSensitve,@Param("con")List<String> con,@Param("status")Integer status);

void disassociation(Integer remarksId);

void visitorDisassociation(Integer remarksId);

List<ReportVo>visitorReportList(String questionManId,String keyWord);

void addVisitorReport(ReportVo reportVo);

Integer visitorMan(String questionManId);

void deleteReport(Integer reportId);

String questionManNameage(@Param("reportId")Integer reportId,@Param("questionManId")String questionManId,@Param("serviceProviderId")Integer serviceProviderId);






}
