package com.caimei365.user.model.po;

import lombok.Data;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/3/27
 */
@Data
public class NewOrderPo {
    /**
     * 二手商品订单标识  0非二手商品订单、 1二手商品订单
     */
    private String secondHandOrderFlag;
    /**
     * 返佣订单标识，0非返佣订单，1返佣订单,2普通订单有返佣服务费
     */
    private String rebateFlag;
    /**
     * 退货退款类型：1部分退、2全部退
     */
    private String refundType;
    /**
     * 订单状态
     */
    private String status;

    /**
     * 总数
     */
    private Integer numbers;
    /**
     * 总金额
     */
    private Double totalMoney;
    /**
     * 支付金额
     */
    private Double payTotalFee;
}
