package com.caimei365.user.model.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.apache.ibatis.type.Alias;

import java.io.Serializable;

/**
 * 首页banner对象 cm_brand_banner
 *
 * @author Kaick
 * @date 2023-05-24
 */
@Accessors(chain  = true )
@Data
@Alias("CmBrandBannerVO")
public class CmBrandBannerVO implements Serializable
{
    private static final Long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 供应商id */
    private String authUserId;

    /** 分类：1首页banner，2供应商落地页banner */
    private String type;

    /** 首页pc端banner */
    private String headPcBanner;

    /** 首页移动端banner */
    private String headAppBanner;

    /** 首页banner跳转方式状态：0无，1图片，2链接 */
    private String jumpStatus;

    /** 首页pc端banner跳转图片 */
    private String jumpPcPicture;

    /** 首页移动端banner跳转图片 */
    private String jumpAppPicture;

    /** 首页banner跳转链接 */
    private String jumpLink;

    /** 首页移动端banner跳转链接 */
    private String jumpAppLink;

    /** PC标题
 */
    private String titlePc;

    /** App标题
 */
    private String titleApp;

    /** 排序 */
    private String sort;



}
