package com.caimei365.user.model.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.apache.ibatis.type.Alias;

import java.io.Serializable;

/**
 * 文件资源对象 cm_brand_files
 *
 * @author Kaick
 * @date 2023-05-31
 */
@Accessors(chain = true)
@Data()
@Alias("CmBrandFilesVO")
public class CmBrandFilesVO implements Serializable
{
    private static final Long serialVersionUID = 1L;

    /** 视频文件分类：1供应商落地页 */
    private String type;

    /** oss链接 */
    private String ossUrl;

    /** 水印oss链接 */
    private String waterOssUrl;

    /** html链接 */
    private String htmlUrl;

}
