package com.caimei365.user.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/11/24
 */
@FeignClient("CAIMEI365-CLOUD-COMMODITY")
public interface CommodityFeign {
    /**
     * 根据文章id更新文章索引
     *
     * @param articleId 文章id
     * @return str
     */
    @PostMapping("/commodity/search/index/update/article")
    String updateArticleIndex(@RequestParam Integer articleId);

}
