package com.caimei365.user.mapper;


import com.caimei365.user.model.vo.CouponVo;
import com.caimei365.user.model.vo.MessageCenter;
import com.caimei365.user.model.vo.UserVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/7/7
 */
@Mapper
public interface MessageCenterMapper {


    void addMessageCenter(MessageCenter messageCenter);

    Integer clubIdCule(Integer userId);

    Integer shopID(Integer userId);

    List<Integer> receiptShopID();

    UserVo clubList(Integer userId);

    CouponVo CouponList(Integer couponType);

    Integer MessageCount(Integer userType,Integer messageType,Integer commonId);

    /**
     *commonId是通过userType类型来区分供应商和机构
     */
    Integer Count(Integer userType,Integer commonId);

    Integer receStatct(Integer shopID);

    /**
     * 上架费数量
     */
    Integer listingFee(Integer shopID);

    /**
     * 上架费过期数量
     */
    Integer listingfeeExpire(Integer shopID);

    List<MessageCenter> MessageList(Integer userType,Integer messageType,Integer commonId);

    String contractMobile(Integer clubID);

    String contractMobiles(Integer ShopID);

    String getOpenidListByPermission(String unionId);

    String FromUnionId(Integer userID);

    String UnionIdList(Integer userID);

    Integer getVipHistoryCount(Integer userID);

    MessageCenter MainImage(Integer userType, Integer commonId,Integer orderID);

    MessageCenter productImage(Integer productID,Integer shopID);

    Integer productCount(Integer orderID);

    String receiptDate(Integer shopID);

    Double receiptAmount(Integer shopID);

    Integer newReceiptType(Integer shopID);

    Integer updateMessageAsRead(Integer userType,Integer messageType,Integer commonId);

    Integer userId(String openid);

    String shopName(Integer shopID);

    Integer deleteMessage(String id);

    Integer updateRead(Integer userType, String Id);

    Integer updateMessageCenter(MessageCenter messageCenter);

    Integer insertMessageCenter(MessageCenter messageCenter);

    List<Integer> getMessageCenterListDay(Integer day);


}
