package com.caimei365.user.model.vo;

import lombok.Data;

import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/9/20
 */
@Data
public class cmShopAdvertisingImage {
    private String id;
    /**
     * 供应商Id
     */
    private String shopId;
    /**
     * pc图片
     */
    private String pcImage;
    /**
     * 小程序图片
     */
    private String appImage;
    /**
     * 跳转链接
     */
    private String jumpLink;
    /**
     * 链接类型 -1未知类型 1二级页面 2项目仪器 3直播页面 4自由页面 5商品详情 6项目仪器详情
     * 7供应商主页 8专题活动页 9二手市场介绍 10二手商品列表 11二手商品发布 12商品搜索 13信息详情
     * 14品牌招商介绍页 15维修保养介绍页 16首页 17注册页 18信息中心 19供应商列表
     */
    private Integer linkType;

    /**
     * 链接包含的参数
     */
    private Map<String, Object> linkParam;
    /**
     * 排序
     */
    private String sort;
    /**
     * 添加时间
     */
    private String addTime;
    /**
     * 上下架状态 0 已上架 1 已下架
     */
    private String status;
    /**
     * 删除标记：0未删除，1已删除
     */
    private String delFlag;
}
